using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Cenzura
{
    class Program
    {
        static int dalisenalazi(string tekst, string patern)
        {
            if (tekst.Length < patern.Length)
                return 0;
            int i, j;
            j = 0;
            bool t = true;
            for (i = 0; i < tekst.Length && t; i++)
            {
                if (tekst[i] == patern[j])
                {
                    j++;
                    if (j == patern.Length)
                        t = false;
                }
            }
            if (t)
                return 0;
            return 1;
        }

        static void Main(string[] args)
        {
            string tekst;
            tekst = Console.ReadLine();
            string patern;
            patern = Console.ReadLine();
            if (dalisenalazi(tekst, patern) == 0)
            {
                Console.WriteLine("0\n{0}", tekst);
            }
            else
            {
                if (patern == "a")
                {
                    int i;
                    string s = "";
                    int br = 0;
                    for (i = 0; i < tekst.Length; i++)
                    {
                        if (tekst[i] == 'a')
                        {
                            s += Convert.ToChar(42);
                            br++;
                        }
                        else
                            s += tekst[i];
                    }
                    Console.WriteLine("{0}\n{1}", br, s);
                }
                else
                {
                    if (patern == "aa")
                    {
                        int i;
                        string s = "";
                        int br = 0;
                        for (i = 0; i < tekst.Length; i++)
                        {
                            if (tekst[i] == 'a')
                            {
                                if (br > 0)
                                {
                                    s += Convert.ToChar(42);
                                }
                                else
                                {
                                    s += tekst[i];
                                }
                                br++;
                            }
                            else
                                s += tekst[i];
                        }
                        if (br >= 2)
                            Console.WriteLine("{0}\n{1}", br - 1, s);
                        else
                            Console.WriteLine("0\n{0}", tekst);
                    }
                    else
                        Console.WriteLine("0\n{0}", tekst);
                }
            }
        }
    }
}